Subject: Re: bug#57400: 29.0.50; Support sending patches from VC directly

From: Philip Kaludercic <[email-masked]>
Date: Fri, 07 Oct 2022 15:54:21 +0000

Dmitry Gutov <[email-masked]> writes:

>
> On 07.10.2022 18:30, Philip Kaludercic wrote:
>>>> It is for this reason that I prefer the current approach, especially
>>>> when combined with the ability to select commits in a log.
>>> I'm definitely not going to insist: I'm not the target audience of
>>> this feature.
>> I could imagine falling back onto the manual selection of revisions when
>> the root directory is not defined, but I fear that would be too
>> inconsistent and might lead to unintended/unexpected behaviour when
>> switching between VCSs.
>
> IMHO we could just refuse to support the backends which don't have the
> notion of root directory, in this feature.

I wouldn't be a fan, one such backend is CVS that still has people using
it, eg. the BSD people, who also use mailing lists for development.